Bug 23449 - Failure in Upgrade from 6.2 to 7.0
Failure in Upgrade from 6.2 to 7.0
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-05 17:53 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-05 17:53:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-05 17:53:40 EST
Attempting to upgrade from Redhat 6.2 to 7.0

Upgrade stops and re-boots.

Message:  "An exceptional condition has occurred.  This is most likely a 
bug.  . . . "


Message in "Installing Packages" frame at top:

Package:  adjtimex-1.11-2
Size:     52 KBytes
Summary:  A utility for adjusting kernel time variables



rpm -qif /failing/binary  response:  no such directory



Text file message dump:

Traceback (innermost last):
   File "var/tmp/anaconda-
7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc=self.todo.doInstall ()
   File "/var/tmp/anaconda-7.01//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
     self.instCallback, p)
   File "var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1296, in 
instCallback
IOError:  [Errno 28] No space left on device

Local variables in innermost frame:
what:  2
total:  0
intf:  <progress_gui.InstallProgressWindow instance at 84d8a28>
amount:  0
h:  <header object at 861fc38>
self:  <todo.ToDo instance at 84a5f28

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>
Comment 1 Jeff Johnson 2001-01-06 02:22:29 EST
Here's your problem:
...
IOError:  [Errno 28] No space left on device
...

One of your file systems has run out of space. Make enough room, and try the
upgrade again.

Note You need to log in before you can comment on or make changes to this bug.